AGRepositoryConfig (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository.config, class: AGRepositoryConfig

Package com.franz.agraph.repository.config

# Class AGRepositoryConfig

java.lang.Object
org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig
com.franz.agraph.repository.config.AGRepositoryConfig

All Implemented Interfaces:
  `org.eclipse.rdf4j.repository.config.RepositoryImplConfig`

public class AGRepositoryConfig extends org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig
Configuration for an AllegroGraph Repository.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGRepositoryConfig()`
  `AGRepositoryConfig(String url)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.eclipse.rdf4j.model.Resource`
  `export(org.eclipse.rdf4j.model.Model graph)`
  `String`
  `getCatalogId()`
  `String`
  `getPassword()`
  `String`
  `getRepositoryId()`
  `String`
  `getServerUrl()`
  `String`
  `getUsername()`
  `void`
  `parse(org.eclipse.rdf4j.model.Model graph, org.eclipse.rdf4j.model.Resource implNode)`
  `void`
  `setCatalogId(String catalogId)`
  `void`
  `setPassword(String password)`
  `void`
  `setRepositoryId(String repositoryId)`
  `void`
  `setServerUrl(String url)`
  `void`
  `setUsername(String username)`
  `void`
  `validate()`

  ### Methods inherited from class org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig

  `create, getType, setType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AGRepositoryConfig

    public AGRepositoryConfig()

  - ### AGRepositoryConfig

    public AGRepositoryConfig(String url)

- ## Method Details

  - ### getServerUrl

    public String getServerUrl()

  - ### setServerUrl

    public void setServerUrl(String url)

  - ### getUsername

    public String getUsername()

  - ### setUsername

    public void setUsername(String username)

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword(String password)

  - ### getCatalogId

    public String getCatalogId()

  - ### setCatalogId

    public void setCatalogId(String catalogId)

  - ### getRepositoryId

    public String getRepositoryId()

  - ### setRepositoryId

    public void setRepositoryId(String repositoryId)

  - ### validate

    public void validate() throws org.eclipse.rdf4j.repository.config.RepositoryConfigException
    Specified by:
      `validate` in interface `org.eclipse.rdf4j.repository.config.RepositoryImplConfig`
    Overrides:
      `validate` in class `org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig`
    Throws:
      `org.eclipse.rdf4j.repository.config.RepositoryConfigException`

  - ### export

    public org.eclipse.rdf4j.model.Resource export(org.eclipse.rdf4j.model.Model graph)
    Specified by:
      `export` in interface `org.eclipse.rdf4j.repository.config.RepositoryImplConfig`
    Overrides:
      `export` in class `org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig`

  - ### parse

    public void parse(org.eclipse.rdf4j.model.Model graph, org.eclipse.rdf4j.model.Resource implNode) throws org.eclipse.rdf4j.repository.config.RepositoryConfigException
    Specified by:
      `parse` in interface `org.eclipse.rdf4j.repository.config.RepositoryImplConfig`
    Overrides:
      `parse` in class `org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig`
    Throws:
      `org.eclipse.rdf4j.repository.config.RepositoryConfigException`